use actix_web::http;
use askama_actix::Template;

use crate::db;

#[derive(Template)]
#[template(path = "status_code.html")]
pub struct StatusCode {
    pub status_code: http::StatusCode,
    pub message: Option<String>,
}

#[derive(Template)]
#[template(path = "web/index.html")]
pub struct Index;

#[derive(Template)]
#[template(path = "web/about.html")]
pub struct About;

#[derive(Template)]
#[template(path = "web/posts/index.html")]
pub struct Posts {
    pub posts: Vec<db::models::Post>,
}

#[derive(Template)]
#[template(path = "web/posts/{slug}.html")]
pub struct PostBySlug {
    pub name: String,
    pub slug: String,
    pub content: String,
}
